globus_gsi_cred_handle_attrs(3)

NAME
globus_gsi_cred_handle_attrs - Credential Handle Attributes

 - Credential Handle Attributes.

SYNOPSIS

  Typedefs

typedef struct globus_l_gsi_cred_handle_attrs_s * globus_gsi_cred_handle_attrs_t

  Functions

globus_result_t globus_gsi_cred_handle_attrs_init (globus_gsi_cred_handle_attrs_t *handle_attrs)
Initialize credential handle attributes.
globus_result_t globus_gsi_cred_handle_attrs_destroy (globus_gsi_cred_handle_attrs_t handle_attrs)
Destroy credential handle attributes.
globus_result_t globus_gsi_cred_handle_attrs_copy (globus_gsi_cred_handle_attrs_t source, globus_gsi_cred_handle_attrs_t *dest)
Copy credential handle attributes.
globus_result_t globus_gsi_cred_handle_attrs_set_ca_cert_dir (globus_gsi_cred_handle_attrs_t handle_attrs, const char *ca_cert_dir)
Set the CA certificate directory.
globus_result_t globus_gsi_cred_handle_attrs_get_ca_cert_dir (globus_gsi_cred_handle_attrs_t handle_attrs, char **ca_cert_dir)
Get the CA certificate directory.
globus_result_t globus_gsi_cred_handle_attrs_set_search_order (globus_gsi_cred_handle_attrs_t handle_attrs, globus_gsi_cred_type_t search_order[])
Set the search order.
globus_result_t globus_gsi_cred_handle_attrs_get_search_order (globus_gsi_cred_handle_attrs_t handle_attrs, globus_gsi_cred_type_t **search_order)
Get the search order.

Detailed Description

Credential Handle Attributes.

Create/Destroy/Modify GSI Credential Handle Attributes.

Within the Globus GSI Credential Library, all credential handles contain a attribute structure, which in turn contains handle instance independent attributes.

This section defines operations to create, modify and destroy GSI Credential handle attributes.

Typedef Documentation

  typedef struct globus_l_gsi_cred_handle_attrs_s* globus_gsi_cred_handle_attrs_t
Credential Handle Attributes.

Credential handle attributes provide a set of immutable parameters for a credential handle

See also
    globus_gsi_cred_handle_init

Function Documentation

  globus_result_t globus_gsi_cred_handle_attrs_copy (globus_gsi_cred_handle_attrs_t source, globus_gsi_cred_handle_attrs_t * dest)

Copy credential handle attributes. Copy the Credential Handle Attributes.

Parameters
    source The handle attribute to be copied
    dest The copy

Returns
    GLOBUS_SUCESS unless there was an error, in which case an error object is returned.

  globus_result_t globus_gsi_cred_handle_attrs_destroy (globus_gsi_cred_handle_attrs_t handle_attrs)

Destroy credential handle attributes. Destroy the Credential Handle Attributes. This function does some cleanup and deallocation of the handle attributes.

Parameters
    handle_attrs The handle attributes to destroy

Returns
    GLOBUS_SUCCESS

  globus_result_t globus_gsi_cred_handle_attrs_get_ca_cert_dir (globus_gsi_cred_handle_attrs_t handle_attrs, char ** ca_cert_dir)

Get the CA certificate directory. Get the trusted CA certificate directory

Parameters
    handle_attrs the credential handle attributes to get the trusted ca cert directory from
    ca_cert_dir the trusted ca certificates directory

Returns
    GLOBUS_SUCCESS if no errors occurred. In case of a null handle_attrs or pointer to ca_cert_dir, an error object id is returned

  globus_result_t globus_gsi_cred_handle_attrs_get_search_order (globus_gsi_cred_handle_attrs_t handle_attrs, globus_gsi_cred_type_t ** search_order)

Get the search order. Get the search order of the handle attributes

Parameters
    handle_attrs The handle attributes to get the search order from
    search_order The search_order of the handle attributes

Returns
    GLOBUS_SUCCESS unless handle_attrs is null

  globus_result_t globus_gsi_cred_handle_attrs_init (globus_gsi_cred_handle_attrs_t * handle_attrs)

Initialize credential handle attributes. Initializes the immutable Credential Handle Attributes The handle attributes are initialized as follows:

•   The search order is set to SERVICE, HOST, PROXY, USER

•   All other attributes are set to 0/NULL

Parameters
    handle_attrs the attributes to be initialized

Returns
    GLOBUS_SUCCESS if initialization was successful, otherwise an error is returned

  globus_result_t globus_gsi_cred_handle_attrs_set_ca_cert_dir (globus_gsi_cred_handle_attrs_t handle_attrs, const char * ca_cert_dir)

Set the CA certificate directory. Set the Trusted CA Certificate Directory Location

Parameters
    handle_attrs the credential handle attributes to set
    ca_cert_dir the trusted ca certificates directory

Returns
    GLOBUS_SUCCESS if no errors occurred. In case of a null handle_attrs, an error object id is returned

  globus_result_t globus_gsi_cred_handle_attrs_set_search_order (globus_gsi_cred_handle_attrs_t handle_attrs, globus_gsi_cred_type_t search_order[])

Set the search order. Set the search order for finding a user certificate. The default value is {SERVICE, HOST, PROXY, USER}

Parameters
    handle_attrs The handle attributes to set the search order of
    search_order The search order. Should be a three element array containing in some order PROXY, USER, HOST, SERVICE. The array should be terminated by the value GLOBUS_SO_END.

Returns
    GLOBUS_SUCCESS unless handle_attrs is null

Author

Generated automatically by Doxygen for globus_gsi_credential from the source code.